Page MenuHomePhabricator

AvroFormatterTest::testDoesSomethingWhenSchemaAvailable fails: Only variables should be passed by reference
Closed, ResolvedPublic

Description

1) MediaWiki\Logger\Monolog\AvroFormatterTest::testDoesSomethingWhenSchemaAvailable
Only variables should be passed by reference

/home/km/projects/vagrant/mediawiki/includes/debug/logger/monolog/AvroFormatter.php:143
/home/km/projects/vagrant/mediawiki/includes/debug/logger/monolog/AvroFormatter.php:86
/home/km/projects/vagrant/mediawiki/tests/phpunit/includes/debug/logger/monolog/AvroFormatterTest.php:65
/home/km/projects/vagrant/mediawiki/tests/phpunit/MediaWikiTestCase.php:389
$ php -v
PHP 7.0.9-1 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.9-1, Copyright (c) 1999-2016, by Zend Technologies

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Jul 28 2016, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2016, 11:39 PM
Legoktm renamed this task from AvroFormatterTest::testDoesSomethingWhenSchemaAvailable Only variables should be passed by reference to AvroFormatterTest::testDoesSomethingWhenSchemaAvailable fails: Only variables should be passed by reference.Jul 28 2016, 11:40 PM

Change 339346 had a related patch set uploaded (by Krinkle):
phpunit: Fix AvroFormatterTest failure on PHP 7

https://gerrit.wikimedia.org/r/339346

Krinkle claimed this task.Feb 23 2017, 4:50 AM

Change 339346 merged by jenkins-bot:
phpunit: Fix AvroFormatterTest failure on PHP 7

https://gerrit.wikimedia.org/r/339346

Krinkle closed this task as Resolved.Feb 23 2017, 8:35 PM
hashar reopened this task as Open.Apr 4 2018, 6:59 PM
hashar added a subscriber: hashar.

Ditto for REL1_27.

1.27 works with PHP 5.5.9-7.1.x right now. Ideally it would have a clean test run too, though no one has really worked on that I think.

Krinkle removed Krinkle as the assignee of this task.Apr 6 2018, 2:50 AM
Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.
Krinkle added a subscriber: Krinkle.

Change 424509 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_27] phpunit: Fix AvroFormatterTest failure on PHP 7

https://gerrit.wikimedia.org/r/424509

Krinkle closed this task as Resolved.Apr 6 2018, 2:54 AM
Krinkle claimed this task.

Currently supported release lines: 1.27 (legacy lts), 1.29 (legacy), 1.30 (stable), 1.31 (master).

When https://gerrit.wikimedia.org/r/339346 landed in master, it was in time for 1.29. With the backport to REL1_27, makes this task resolved (again).

Change 424509 merged by jenkins-bot:
[mediawiki/core@REL1_27] phpunit: Fix AvroFormatterTest failure on PHP 7

https://gerrit.wikimedia.org/r/424509